import request from '@/utils/request'

// 查询模块配置列表
export function listModel(query) {
  return request({
    url: '/system/model/list',
    method: 'get',
    params: query
  })
}

// 导出模块配置
export function exportModel(query) {
  return request({
    url: '/system/model/export',
    method: 'get',
    params: query
  })
}

// 查询模块配置详细
export function getModel(id) {
  return request({
    url: '/system/model/get/' + id,
    method: 'get'
  })
}

// 新增模块配置
export function addModel(data) {
  return request({
    url: '/system/model/add',
    method: 'post',
    data: data
  })
}

// 修改模块配置
export function updateModel(data) {
  return request({
    url: '/system/model/edit',
    method: 'post',
    data: data
  })
}

// 删除模块配置
export function delModel(id) {
  return request({
    url: '/system/model/remove/' + id,
    method: 'get'
  })
}

// 启用/禁用
export function setModelStatus(id, status) {
  return request({
    url: `/system/model/setStatus/${id}`,
    method: 'post',
    params: { status }
  })
}

